Summary:  A set of small useful utilities (e.g., ping) for Linux networking
Name: iputils
Version: 20221126
Release: 3%{?dist}
License: BSD and GPLv2+
URL: https://github.com/iputils/iputils
Source0: https://github.com/iputils/iputils/archive/%{version}/%{name}-%{version}.tar.gz
Source1: ifenslave.tar.gz

Patch3000: iputils-ifenslave.patch
Patch3001: iputils-ifenslave-CWE-170.patch

BuildRequires: gcc meson gettext
BuildRequires: glibc-kernheaders >= 2.4-8.19
BuildRequires: libidn2-devel openssl-devel
BuildRequires: libcap-devel libxslt docbook5-style-xsl
BuildRequires: systemd iproute
%{?systemd_ordering}
Provides: /bin/ping
Provides: /bin/ping6
Provides: /sbin/arping


%description
The iputils package contains basic utilities for monitoring a network,
including ping, ifenslave and tracepath.


%prep
%autosetup -a 1 -n %{name}-%{version}


%build
%meson
%meson_build
gcc $RPM_OPT_FLAGS $CFLAGS $RPM_LD_FLAGS $LDFLAGS ifenslave.c -o ifenslave


%install
%meson_install

install -D -p ifenslave ${RPM_BUILD_ROOT}%{_sbindir}/ifenslave
install -p ifenslave.8 ${RPM_BUILD_ROOT}%{_mandir}/man8/

ln -sf ../bin/ping ${RPM_BUILD_ROOT}%{_bindir}/ping6
ln -sf ../bin/ping ${RPM_BUILD_ROOT}%{_sbindir}/ping
ln -sf ../bin/tracepath ${RPM_BUILD_ROOT}%{_sbindir}/tracepath
ln -sf ../bin/tracepath ${RPM_BUILD_ROOT}%{_sbindir}/tracepath6
ln -sf ../bin/arping ${RPM_BUILD_ROOT}%{_sbindir}/arping
ln -sf ping.8.gz ${RPM_BUILD_ROOT}%{_mandir}/man8/ping6.8.gz
ln -sf tracepath.8.gz ${RPM_BUILD_ROOT}%{_mandir}/man8/tracepath6.8.gz

%find_lang %{name}


%files -f %{name}.lang
%license LICENSE
%doc README.bonding
%attr(0755,root,root) %caps(cap_net_raw=p) %{_bindir}/clockdiff
%attr(0755,root,root) %caps(cap_net_raw=p) %{_bindir}/arping
%attr(0755,root,root) %{_bindir}/ping
%{_bindir}/tracepath
%{_bindir}/ping6
%{_sbindir}/ifenslave
%{_sbindir}/ping
%{_sbindir}/tracepath
%{_sbindir}/tracepath6
%{_sbindir}/arping
%attr(644,root,root) %{_mandir}/man8/clockdiff.8.gz
%attr(644,root,root) %{_mandir}/man8/arping.8.gz
%attr(644,root,root) %{_mandir}/man8/ping.8.gz
%attr(644,root,root) %{_mandir}/man8/tracepath.8.gz
%attr(644,root,root) %{_mandir}/man8/ifenslave.8.gz
%{_mandir}/man8/ping6.8.gz
%{_mandir}/man8/tracepath6.8.gz


%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20221126-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20221126-2
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 kianli <kianli@tencent.com> - 20221126-1
- Upgrade to 20221126

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20211215-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20211215-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Jul 07 2022 Yi Lin <nilusyi@tencent.com> - 20211215-1
- package init.
